Subject: Re: bug#2157: 23.0.90; bzr support: vc-diff doesn't work with prefix argument on unchanged files

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 2 Feb 2009 12:05:45 -0800 (PST)

Torsten Bronger <[email-masked]> writes:

  > If I visit an unchanged file under bzr revision control, i.e. the modeline says
  > "Bzr-" (NOT "Bzr:"), I can't use C-u C-x v =, i.e. vc-diff but with explicit
  > revision parameters.  The error message is:
  > 
  > vc-bzr-previous-revision: Wrong type argument: stringp, nil

I can't reproduce this on my GNU/Linux machine.
What version of bzr are you using?

Can you do: Options / Enter debugger on error
and then please email here the contents of the *Backtrace* buffer that
appears when the error occurs.